/* Polyfills for IE */
import 'react-app-polyfill/ie11';
import 'core-js/features/array/find';
import 'core-js/features/array/includes';
import 'core-js/features/number/is-nan';

/* App starts here */
import React from "react";
import {
  BrowserRouter as Router,
  Route,
  Routes
} from "react-router-dom";

//import 'typeface-roboto';

//import history from "./history.js";
import Table from "./Table.js";
import "./App.css";

let base = process.env.PUBLIC_URL;

function App() {
  console.log(`Base: ${base}`);
  return (
    <Router>
      <Routes>
        <Route exact element={<Table/>} path={`${base}/games/:id`}/>
        <Route exact element={<Table/>} path={`${base}`}/>
      </Routes>
    </Router>
  );
}

export default App;
